// ignore_for_file: non_constant_identifier_names
import "json_dart.dart";
// import "dart:convert";

class SocketError extends JsonDart {
  SocketError(super.rawData);

  static Map get defaultData {
    return {
      "@type": "socketError",
      "message": "",
      "description": "",
      "error": "e"
    };
  }

  String? get special_type {
    try {
      if (rawData["@type"] is String == false) {
        return null;
      }
      return rawData["@type"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get message {
    try {
      if (rawData["message"] is String == false) {
        return null;
      }
      return rawData["message"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get description {
    try {
      if (rawData["description"] is String == false) {
        return null;
      }
      return rawData["description"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get error {
    try {
      if (rawData["error"] is String == false) {
        return null;
      }
      return rawData["error"] as String;
    } catch (e) {
      return null;
    }
  }

  static SocketError create({
    String? special_type,
    String? message,
    String? description,
    String? error,
  }) {
    SocketError socketError = SocketError({
      "@type": special_type,
      "message": message,
      "description": description,
      "error": error,
    });

    return socketError;
  }
}
