// ignore_for_file: non_constant_identifier_names, unused_import
import "package:general_lib/general_lib.dart";
// import "dart:convert";

import "template_data.dart";


class TemplateDatas extends JsonScheme {

  
  TemplateDatas(super.rawData);
   
  static Map get defaultData {
    return {"@type":"TemplateDatas","count":0,"templates":[{"@type":"TemplateData","name":"","path":"","data":[0]}]};
  }

  
  String? get special_type {
    try {
      if (rawData["@type"] is String == false){
        return null;
      }
      return rawData["@type"] as String;
    } catch (e) {
      return null;
    }
  }


  
  num? get count {
    try {
      if (rawData["count"] is num == false){
        return null;
      }
      return rawData["count"] as num;
    } catch (e) {
      return null;
    }
  }

  
  List<TemplateData> get templates {
    try {
      if (rawData["templates"] is List == false){
        return [];
      }
      return (rawData["templates"] as List).map((e) => TemplateData(e as Map)).toList().cast<TemplateData>();
    } catch (e) {
      return [];
    }
  }


  
  static TemplateDatas create({

    String special_type = "TemplateDatas",
    num? count,
      List<TemplateData>? templates,
})  {
    // TemplateDatas templateDatas = TemplateDatas({
Map templateDatas_data_create_json = {
  
      "@type": special_type,
      "count": count,
      "templates": (templates != null)? templates.toJson(): null,


};


          templateDatas_data_create_json.removeWhere((key, value) => value == null);
TemplateDatas templateDatas_data_create = TemplateDatas(templateDatas_data_create_json);

return templateDatas_data_create;



      }
}